An abstract class representing the SessionDataStore interface.

### Hierarchy

- SessionDataStore

## Index

### Constructors

- constructor

### Methods

- deleteSessionData
- getSessionData
- setSessionData

## Constructors

### constructor

- new SessionDataStore(sessionOptions?: SessionOptions): SessionDataStore

- - Defined in auth/sessionStore.ts:14

  #### Parameters

  - ##### Optional sessionOptions: SessionOptions

  #### Returns SessionDataStore

## Methods

### deleteSessionData

- deleteSessionData(): boolean

- - Defined in auth/sessionStore.ts:31

  #### Returns boolean

### getSessionData

- getSessionData(): SessionData

- - Defined in auth/sessionStore.ts:22

  #### Returns SessionData

### setSessionData

- setSessionData(session: SessionData): boolean

- - Defined in auth/sessionStore.ts:27

  #### Parameters

  - ##### session: SessionData

  #### Returns boolean

Generated using TypeDoc